rem  ****************************************************************************
rem  ****  The 3 lines after this comment just allow the use of the Natural  ****
rem  ****  executable without having to specifying the full path each time   ****
rem  ****************************************************************************

@echo off
SETLOCAL
SET PATH=%PATH%;C:\Program Files\Software AG\Natural\6.1.1\Bin
@echo on
natural batchmode parm=NATBATCH CMSYNIN=DevTest.NIS CMOBJIN=DevTest.NIS CMPRINT=DevTest.OUT NATLOG=ALL BMSIM=MF

rem  *****************************************************************************
rem  ****  If the output file DevTest.OUT is required for the following step  ****
rem  ****  but it does not always get created a quick check can be done to    ****
rem  ****  prevent errors when trying to read non-existant work files.        ****
rem  *****************************************************************************

If NOT EXIST DevTest.OUT echo.>DevTest.OUT

rem  ***********************************************************************************
rem  ****  Multiple Natural programs can be run from this same file by just adding  ****
rem  ****  more natural lines and having multiple input and output files.           ****
rem  ***********************************************************************************

rem  ***********************************************************************************
rem  ****                                                                           ****
rem  ****                                Example 2                                  ****
rem  ****                                                                           ****
rem  ***********************************************************************************

rem  ***********************************************************************************
rem  ****  Something a little more dynamic where environment variables can be       ****
rem  ****  used, and to create the input file from within the batch file...         ****
rem  ***********************************************************************************

rem  ***********************************************************************************
rem  ****  Some examples of built in environment variables are:                     ****
rem  ****     %date%     -->  Current date in DAY MM/DD/YYYY   (ie. Mon 05/12/2003) ****
rem  ****     %time%     -->  Current time in HH:MM:SS.tt      (ie. 12:39:43.80)    ****
rem  ****     %username% -->  Current user logged on computer  (ie. dap1099)        ****
rem  ****                                                                           ****
rem  ****  A subset of an environment variable can be used by specifying            ****
rem  ****     %ENVVAR:~NN,CC%                                                       ****
rem  ****      where ENVVAR is variable, NN is offset, CC is # of characters to use ****
rem  ****      ie. %date:~0,3% will return the 3 char day of the week               ****
rem  ****                                                                           ****
rem  ****  You can check out the list of environment variables available in the     ****
rem  ****  Windows help, or you can create your own using the SET command as shown. ****
rem  ***********************************************************************************

rem *** Do not show the commands to create the input file and stuff
@ECHO OFF

rem *** Set a temporary environment variable to the name of the input and output files
SET NATFILE=DevTest2
rem *** Now anywhere %NATFILE% is used the name TermTest will be substituted...

rem *** write the commands to the input file, notice the single > on the first echo,
rem *** that will either create new or overwrite if it already exists.
echo logon TESTLIB >%NATFILE%.nis

rem *** after the fist echo to the input file use >> to append lines to the file.
echo DEVTEST2 >>%NATFILE%.nis
echo FIN >>%NATFILE%.nis

rem *** Show the commands again so we can see that Natural has started
@echo on

natural batchmode parm=NATBATCH CMSYNIN=DevTest2.NIS CMOBJIN=DevTest2.NIS CMPRINT=DevTest2.OUT CMPRT01=*PROGRAM-#.txt NATLOG=ALL BMSIM=MF

rem *** The next line check if the errorlevel returned from the Natural program is GE 1...
If ERRORLEVEL 1 GOTO :NATERROR

:EXIT
del %NATFILE%.nis
ENDLOCAL
exit

:NATERROR
echo Error from Natural Step, check %NATFILE%.OUT for details
rem *** The pause command just prompts to press any key, good for testing...
pause

rem *** Now get rid of the input file since it is not needed anymore
del %NATFILE%.nis

ENDLOCAL

exit